Package Gnumed :: Package wxpython :: Module gmMacro :: Class cMacroPrimitives |
[frames] | no frames]

# Class cMacroPrimitives

source code

Functions a macro can legally use.

An instance of this class is passed to the GNUmed scripting listener. Hence, all actions a macro can legally take must be defined in this class. Thus we achieve some screening for security and also thread safety handling.

Instance Methods
__init__(self, personality=None) | source code
attach(self, personality=None) | source code
detach(self, auth_cookie=None) | source code
force_detach(self) | source code
version(self) | source code
shutdown_gnumed(self, auth_cookie=None, forced=False) Shuts down this client instance. | source code
raise_gnumed(self, auth_cookie=None) Raise ourselves to the top of the desktop. | source code
get_loaded_plugins(self, auth_cookie=None) | source code
raise_notebook_plugin(self, auth_cookie=None, a_plugin=None) Raise a notebook plugin within GNUmed. | source code
load_patient_from_external_source(self, auth_cookie=None) Load external patient, perhaps create it. | source code
lock_loaded_patient(self, auth_cookie=None, lock_after_load_cookie=None) | source code
lock_into_patient(self, auth_cookie=None, search_params=None) | source code
unlock_patient(self, auth_cookie=None, unlock_cookie=None) | source code
assume_staff_identity(self, auth_cookie=None, staff_name="Dr.Jekyll", staff_creds=None) | source code
get_user_answer(self) | source code

Method Details

### load_patient_from_external_source(self, auth_cookie=None) | source code
Load external patient, perhaps create it. Callers must use get_user_answer() to get status information. It is unsafe to proceed without knowing the completion state as the controlled client may be waiting for user input from a patient selection list.